#include<iostream>
#include<fstream>
using namespace std;
int main()
{
	int a,b;
	int e;
	int m,n;
	int c,d;
	int ucln;
	ifstream f1("DE001.INP");
	f1>>a>>b;
	f1.close();
	ofstream f2("DE001.OUT");
	while(not((a==0)&&(b==0)))
	{
		c=a;
		d=b;
		if(c<d)
		{
		int t;
		t=c;
		c=d;
		d=t;
		}
		while(c!=d)	
		{
		m=c-d;
			if(e>d)
			{
			c=e;
			}
			else
			{
			c=d;
			d=e;
			}
		}
	ucln=c;
	m=a/ucln;
	n=b/ucln;
	if((m<0)&&(n<0))
	{
		m=0-m;
		n=0-n;
	}
	f2<<m<<" "<<n<<endl;
	f1>>a>>b;
}
	f2.close();
}
